Summary: An X Window System based simulation of masses on springs.
Name: xspringies
Version: 1.12
Release: 9
Copyright: Distibutable
Source: ftp://ftp.cis.upenn.edu/pub/dmd/xspringies/xspringies-1.12.tar.Z
Url: ftp://ftp.cis.upenn.edu/pub/dmd/xspringies/README
Source1: xspringies.wmconfig
Patch: xspringies-1.12-config.patch
Group: Amusements/Games
Buildroot: %{_tmppath}/%{name}-root

%description
Xspringies allows you to interactively create and edit a system of
masses and springs.  The parameters of the masses of the springs as
well as those of the surrounding system can be changed, saved or
loaded.  Xspringies is intended to be a game, not a design package.

%prep
%setup -q 
%patch -p1 -b .patch

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1} \
	$RPM_BUILD_ROOT/usr/games/xspringies/ \
	$RPM_BUILD_ROOT/etc/X11/applnk/Games/

make install BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
	MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
	DDIR=$RPM_BUILD_ROOT/usr/games/ \
	DOCHTMLDIR=$RPM_BUILD_ROOT%{_docdir}

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xspringies.desktop <<EOF
[Desktop Entry]
Name=xspringies
Comment=Simulation of masses on springs
Exec=xspringies
Terminal=0
Type=Application
EOF

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README 
%dir /usr/games/xspringies
/usr/X11R6/bin/xspringies
/usr/X11R6/man/man1/*
/usr/games/xspringies/*
%config /etc/X11/applnk/Games/xspringies.desktop

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
-  use %%{_docdir}

* Tue Jun 13 2000 Than Ngo <than@redhat.de> 
- rebuild for 7.0
- clean up specfile
- remove wmconfig, add xspringies.desktop 

* Tue Jul 27 1999 Tim Powers <timp@redhat.com>
- added %defattr
- rebuilt for 6.1

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Oct 13 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2 powertools

* Fri May 22 1998 Michael Maher <mike@redhat.com>
- added buildroot and checked package. 

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entry

* Wed Nov 19 1997 Otto Hammersmith <otto@redhat.com>
- built for glibc
